import request from '../utils/request'

//查询文档列表 及根据关键搜素接口
export function getListDataByPage(data) {
  return request({
    url: `manage/documents/getListDataByPage`,
    method: 'post',
    data
  })
}

//新增文档
export function addDocument(data) {
    return request({
      url: `manage/documents/addDocument`,
      method: 'post',
      data
    })
  }


  //删除文档
export function deleteDocument(data) {
    return request({
      url: `manage/documents/deleteDocument`,
      method: 'post',
      data
    })
  }

//业务系统获取文档列表
export function documentsList(data) {
    return request({
      url: `manage/documents/findCatalogueDocumentList`,
      method: 'post',
      data
    })
  }


  //文档详情
export function findDataInfo(data) {
    return request({
      url: `manage/documents/findDataInfo`,
      method: 'post',
      data
    })
  }

    //修改文档
export function updateDocument(data) {
    return request({
      url: `manage/documents/updateDocument`,
      method: 'post',
      data
    })
  }


      //待支付汇总
export function summaryOfPendingPayments(data) {
  return request({
    url: `manage/user/summaryOfPendingPayments`,
    method: 'post',
    data
  })
}


